#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2011  Marek Marczykowski <marmarek@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#



%define extdir %{_libdir}/mozilla/extensions/{3550f703-e582-4d05-9a08-453d09bdfdc6}/qubes-attachment@qubes-os.org

Name:		thunderbird-qubes
Version:	2.0.2
Release:	1%{dist}
Summary:	The Qubes extension for Thunderbird
BuildArch:	noarch
Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		http://www.qubes-os.org

Requires:	thunderbird >= 68.0

Source0: %{name}-%{version}.tar.gz

%description
The Qubes email attachments actions for Thunderbird.

%prep
%setup -q

%build
make manifest.json

%install
rm -rf $RPM_BUILD_ROOT
make install-vm DESTDIR=$RPM_BUILD_ROOT EXTDIR=%{extdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{extdir}
%{extdir}/chrome.manifest
%{extdir}/manifest.json
%{extdir}/chrome/locale/en-US/qubesattachment.dtd
%{extdir}/chrome/content/options.xul
%{extdir}/chrome/content/preferences.js
%{extdir}/chrome/content/qubesattachment.js
%{extdir}/chrome/content/messenger.xul
%{extdir}/chrome/skin/qubesattachment.css
%{extdir}/defaults/preferences/prefs.js

%changelog
* Sat Oct 05 2019 Qubes OS Team <qubes-devel@groups.google.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-thunderbird

* Sat Oct 05 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2cd04f9
- version 2.0.2

* Sat Oct 05 2019 M. Vefa Bicakci <m.v.b@runbox.com> - 1b0f8eb
- Make sure that preferences.js is packaged

* Sat Oct 05 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9180bf7
- version 2.0.1

* Sun Sep 29 2019 M. Vefa Bicakci <m.v.b@runbox.com> - 44a7aa5
- Fix preference window for Thunderbird 68

* Sat Sep 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c396d5f
- version 2.0.0

* Sat Sep 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b949ea6
- travis: switch to xenial, drop R3.2

* Sat Sep 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 594f8a0
- Disable Debian package build

* Sat Sep 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7a914a2
- debian: bump requirements to TB 68+

* Tue Sep 24 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - c073f05
- Changes needed for the plugin to work in Thunderbird 68

* Fri Mar 22 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bcf7245
- version 1.2.13

* Tue Feb 05 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 09cb8bd
- debian: drop autotools from debian/rules

* Sat Oct 13 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1bbe96f
- debian: replace deprecated dh_clean --keep with dh_prep

* Sat Oct 13 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3031ecd
- travis: update Fedora and Debian versions

* Sat Oct 13 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4c4e7a5
- debian: don't create orig.tar.gz manually, simplify packaging

* Thu Aug 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 389d5f7
- version 1.2.12

* Wed Aug 08 2018 M. Vefa Bicakci <m.v.b@runbox.com> - 282befa
- Make compatible with Thunderbird 60

* Sun Jul 15 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b0a4cc3
- version 1.2.11

* Mon May 21 2018 M. Vefa Bicakci <m.v.b@runbox.com> - 08d4803
- Open attachments in DispVMs from message windows

* Fri May 04 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8688a3b
- version 1.2.10

* Thu Apr 05 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fd0dfd1
- travis: update distributions

* Thu Apr 05 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 998943a
- spec.in: change to 'noarch' package

* Thu Apr 05 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 3f0be4b
- spec.in: add changelog placeholder

* Thu Apr 05 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 0bf9762
- Create .spec.in and Source0

* Sat Jun 10 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f50b1ff
- version 1.2.9

* Tue Jan 10 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - edb412c
- travis: drop debootstrap workaround

* Thu Jun 02 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 937c32a
- travis: initial version

* Mon Feb 22 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 827593d
- version 1.2.8

* Mon Feb 22 2016 Lambono <lambono80@gmail.com> - b773cc9
- Fix UTF-8 in attachment file names

* Thu May 14 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 21758ba
- gitignore pkgs

* Tue Apr 07 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 73cd67e
- version 1.2.7

* Tue Apr 07 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b417e10
- debian: update changelog for 1.2.6-1

* Tue Apr 07 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 85412b9
- debian: update 'debian' symlink

* Fri Mar 27 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c49d988
- version 1.2.6

* Thu Mar 12 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fd4cd01
- Merge tag 'jm_f976b0d6'

* Thu Mar 12 2015 Jason Mehring <nrgaway@gmail.com> - f976b0d
- Use DEBIAN_PARSER variable provided by builder

* Fri Feb 27 2015 Jason Mehring <nrgaway@gmail.com> - a0af01f
- debian: Added deb/ to .gitignore

* Fri Feb 27 2015 Jason Mehring <nrgaway@gmail.com> - 483eec2
- Added a Debian package

* Tue Oct 08 2013 Joanna Rutkowska <joanna@invisiblethingslab.com> - a39f7a7
- version 1.2.5

* Tue Mar 19 2013 Marek Marczykowski <marmarek@invisiblethingslab.com> - d81ea28
- Add Makefile.builder

* Thu Nov 15 2012 Joanna Rutkowska <joanna@invisiblethingslab.com> - 07944de
- version 1.2.4

* Wed Nov 14 2012 Marek Marczykowski <marmarek@invisiblethingslab.com> - 4660072
- makefile: update-repo-template target

* Wed Nov 14 2012 Marek Marczykowski <marmarek@invisiblethingslab.com> - 1ea2f87
- makefile: generic rpms-dom0 and rpms-vm targets

* Tue Nov 13 2012 Marek Marczykowski <marmarek@invisiblethingslab.com> - 4c4d9ce
- gitignore rpm

* Fri Nov 09 2012 Marek Marczykowski <marmarek@invisiblethingslab.com> - 9a0f51b
- tb: move rpm build scripts into subdirectory (#670)

* Fri Nov 09 2012 Marek Marczykowski <marmarek@invisiblethingslab.com> - 2553236
- tb: do not modify source files during build

* Thu Jun 21 2012 Joanna Rutkowska <joanna@invisiblethingslab.com> - 15a7c11
- tb: version 1.2.3

* Fri May 25 2012 Marek Marczykowski <marmarek@invisiblethingslab.com> - bcf7827
- tb: fix "open by default in DispVM" for TB>=5.0 (#420)

* Fri Feb 17 2012 Marek Marczykowski <marmarek@invisiblethingslab.com> - 07cf704
- tb: version 1.2.2

* Fri Feb 17 2012 Marek Marczykowski <marmarek@invisiblethingslab.com> - 5357946
- TB's manifest: include version 10.* as max supported version

* Tue Jan 24 2012 Joanna Rutkowska <joanna@invisiblethingslab.com> - 1c76311
- tb: version 1.2.1

